summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMauro Carvalho Chehab <mchehab@s-opensource.com>2016-09-19 08:07:43 -0300
committerJonathan Corbet <corbet@lwn.net>2016-09-20 18:35:30 -0600
commit81f10d199813bebe735ca201741c117990e67770 (patch)
tree5b00e6bc02785086dc8843111f7dd00b1d80d387
parent840f6690b0a7bf8ba2b104193bb31ab293f0a66c (diff)
Documentation/Changes: add minimal requirements for documentation build
As discussed at linux-doc ML, the best is to keep all documents backward compatible with Sphinx version 1.2, as it is the latest version found on some distros like Debian. All books currently support it. Please notice that, while it mentions the eventual need of XeLaTex and texlive to build pdf files, this is not a minimal requirement, as one could just be interested on building html documents. Also, identifying the minimal requirements for texlive packages is not trivial, as each distribution seems to use different criteria on grouping LaTex functionalities. While here, update the current kernel version to 4.x. Signed-off-by: Mauro Carvalho Chehab <mchehab@s-opensource.com> Signed-off-by: Jonathan Corbet <corbet@lwn.net>
-rw-r--r--Documentation/Changes36
1 files changed, 35 insertions, 1 deletions
diff --git a/Documentation/Changes b/Documentation/Changes
index a9f365d864c7..93c8e1c15844 100644
--- a/Documentation/Changes
+++ b/Documentation/Changes
@@ -5,7 +5,7 @@ Intro
=====
This document is designed to provide a list of the minimum levels of
-software necessary to run the 3.0 kernels.
+software necessary to run the 4.x kernels.
This document is originally based on my "Changes" file for 2.0.x kernels
and therefore owes credit to the same people as that file (Jared Mauch,
@@ -51,8 +51,10 @@ mcelog 0.6 mcelog --version
iptables 1.4.2 iptables -V
openssl & libcrypto 1.0.0 openssl version
bc 1.06.95 bc --version
+Sphinx\ [#f1]_ 1.2 sphinx-build --version
====================== =============== ========================================
+.. [#f1] Sphinx is needed only to build the Kernel documentation
Kernel compilation
******************
@@ -307,6 +309,30 @@ On x86 kernels the mcelog utility is needed to process and log machine check
events when ``CONFIG_X86_MCE`` is enabled. Machine check events are errors
reported by the CPU. Processing them is strongly encouraged.
+Kernel documentation
+********************
+
+Sphinx
+------
+
+The ReST markups currently used by the Documentation/ files are meant to be
+built with ``Sphinx`` version 1.2 or upper. If you're desiring to build
+PDF outputs, it is recommended to use version 1.4.6.
+
+.. note::
+
+ Please notice that, for PDF and LaTeX output, you'll also need ``XeLaTeX``
+ version 3.14159265. Depending on the distribution, you may also need
+ to install a series of ``texlive`` packages that provide the minimal
+ set of functionalities required for ``XeLaTex`` to work.
+
+Other tools
+-----------
+
+In order to produce documentation from DocBook, you'll also need ``xmlto``.
+Please notice, however, that we're currently migrating all documents to use
+``Sphinx``.
+
Getting updated software
========================
@@ -453,3 +479,11 @@ NFS-Utils
---------
- <http://nfs.sourceforge.net/>
+
+Kernel documentation
+********************
+
+Sphinx
+------
+
+- <http://www.sphinx-doc.org/>